# POST /pixverse/v1/pro/generate

**Method**: `POST`
**Endpoint**: `/pixverse/v1/pro/generate`

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
prompt
string
Required
ratio
string
Required
style
string
Optional
seed
integer
Optional
negative_prompt
string
Optional
model
string
Required
template_id
integer
Optional
Example
{
"prompt"
:
"string"
,
"ratio"
:
"string"
,
"style"
:
"string"
,
"seed"
:
0
,
"negative_prompt"
:
"string"
,
"model"
:
"string"
,
"template_id"
:
0
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/pixverse/v1/pro/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "string",
    "ratio": "string",
    "style": "string",
    "seed": 0,
    "negative_prompt": "string",
    "model": "string",
    "template_id": 0
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "code": 200,
    "data": {
        "task_id": "a766793f-5e6b-4f4e-deac-cfa80a51e167"
    },
    "exec_time": 0.029496,
    "msg": "Success"
}
```
